<?php
declare(strict_types=1);

namespace Catequil\Db;

use Laminas\ConfigAggregator\ConfigAggregator;
use Laminas\ConfigAggregator\PhpFileProvider;

return (new ConfigAggregator([
    \Catequil\Cache\ConfigProvider::class,
    \Catequil\Cli\ConfigProvider::class,
    ConfigProvider::class,
    new PhpFileProvider(__DIR__ . '/autoload/{{,*.}global,{,*.}local}.php'),
]))->getMergedConfig();